Subject: Re: bug#25385: 24.5; `shr-next-link' wrong-type-argument error

From: [email-masked]
Date: Sat, 07 Jan 2017 12:08:38 -0500

tags 25385 confirmed
tags 25385 fixed
close 25385 25.1
quit

Drew Adams <[email-masked]> writes:

> Apologies if this doesn't help at all - please close it in that case.
>
> I don't use EWW, but I used it very briefly, and got this when I hit
> `TAB' near the end of the buffer:
>
> Debugger entered--Lisp error: (wrong-type-argument integer-or-marker-p nil)
>   text-property-not-all(nil 423 help-echo nil)
>   shr-next-link()
>   call-interactively(shr-next-link nil nil)
>   command-execute(shr-next-link)
>
> Presumably a more user-friendly error should be raised if there are no
> more links to navigate to.

In Emacs 25.1, EWW responds with a "No next link" message in this
scenario.